import { rgb } from "../../d3-color/src/color.js";
import basis_default from "./basis.js";
import basisClosed_default from "./basisClosed.js";
import nogamma, { gamma } from "./color.js";
var rgb_default = (function n(r) {
	var a = gamma(r);
	function o(n, r) {
		var i = a((n = rgb(n)).r, (r = rgb(r)).r), o = a(n.g, r.g), s = a(n.b, r.b), c = nogamma(n.opacity, r.opacity);
		return function(e) {
			return n.r = i(e), n.g = o(e), n.b = s(e), n.opacity = c(e), n + "";
		};
	}
	return o.gamma = n, o;
})(1);
export { rgb_default as default };
